This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 63008 - When run on mouseless system, died without warning leaving console unusable.
When run on mouseless system, died without warning leaving console unusable.
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: Xconfigurator (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-09 01:53 EDT by Bill Crawford
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 01:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2002-04-09 01:53:11 EDT
Description of Problem:
After rebooting a system which was configured in error to boot into graphical
login (no mouse) Xconfigurator failed to run correctly when chosen from the
"setup" menu.  Console was left in an unusable state (no echo, and "reset"
screwed things up a little more).  No error messages visible, just dumped back
to console.
Comment 1 Mike A. Harris 2002-04-09 10:05:00 EDT
XFree86 requires that a mouse be configured.  It does not require that it
actually generate events however.  You can configure X to use a non-valid
device for the mouse, and start X with -xf86allowmouseopenfail
I dont recall the exact option, but its either in the docs, or someone on
xpert can pull it up for ya.

You must configure a pointing device though, it is an X requirement.
Comment 2 Bill Crawford 2002-04-09 16:51:43 EDT
Anaconda configured it without; Xconfigurator died without even giving a sane
error message when we tried to fix the mess (I was hoping it would allow me to
at least undo the "graphical login" option).  That's the bug ...

Note You need to log in before you can comment on or make changes to this bug.